# AIIndustryList_CargoProducing Class Reference
[Classes that create a list of items.]

Creates a list of industries that can produce a given cargo. More...

`#include <ai_industrylist.hpp>`

Inheritance diagram for AIIndustryList_CargoProducing:

## Public Member Functions
| AIIndustryList_CargoProducing (CargoID cargo_id)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of industries that can produce a given cargo.

Note:
  It also contains industries that currently produces 0 units of the cargo.

Definition at line 39 of file ai_industrylist.hpp.

## Constructor & Destructor Documentation

AIIndustryList_CargoProducing::AIIndustryList_CargoProducing | ( | CargoID | cargo_id | ) |

Parameters:

  | cargo_id | The cargo this industry should produce.

Definition at line 28 of file ai_industrylist.cpp.

References AIAbstractList::AddItem(), PoolItem< T, Tid, Tpool >::index, lengthof, and Industry::produced_cargo.

The documentation for this class was generated from the following files:

- src/ai/api/ai_industrylist.hpp
- src/ai/api/ai_industrylist.cpp